@echo off
setlocal enabledelayedexpansion

set "datasets=cora citeseer pubmed squirrel"
set "backbones=gprgnn"

for %%d in (%datasets%) do (
    for %%b in (%backbones%) do (
        echo Running with dataset=%%d and backbone=%%b
        python3 main.py --dataset %%d --backbone %%b
    )
)

endlocal
